Subject: [spring] WG: New Version Notification for draft-geib-spring-oam-opt-00.txt

From: <[email-masked]>
Date: Thu, 29 Oct 2020 12:58:22 +0000

Dear Spring-chairs, dear WG

The new draft below describes how to reduce the number of SR MPLS Echo request / reply dialogues in the presence of ECMP (RFC 8029 section 4.1 Dealing with Equal-Cost Multipath (ECMP) remarks "However, full coverage may not be possible" to say that no all paths of equal cost might be addressed). I didn't find text in RFC8287 specifying the behavior described by the draft.

No proposal to change a standard. The implemented code needed to be adapted. Didn't check with vendors yet
- whether they had the same idea and independently implemented this behavior in their code
- if not, whether they'd be interested to do so. 

Deutsche Telekom operates a version working with LDP Labels. The function fits well only to SR MPLS however, that's why I forward the info to this list.

WG, please read and comment. 

Regards,

Ruediger

###############
A new version of I-D, draft-geib-spring-oam-opt-00.txt has been successfully submitted by [email-masked] and posted to the IETF repository.

Name:		draft-geib-spring-oam-opt
Revision:	00
Title:		An MPLS SR OAM option reducing the number of end-to-end path validations
Document date:	2020-10-28
Group:		Individual Submission
Pages:		9
URL:            https://www.ietf.org/archive/id/draft-geib-spring-oam-opt-00.txt
Status:         https://datatracker.ietf.org/doc/draft-geib-spring-oam-opt/
Html:           https://www.ietf.org/archive/id/draft-geib-spring-oam-opt-00.html
Htmlized:       https://tools.ietf.org/html/draft-geib-spring-oam-opt-00

Abstract:
   MPLS traceroute implementations validate dataplane connectivity and
   isolate faults by sending messages along every end-to-end Label
   Switched Path (LSP) combination between a source and a destination
   node.  This requires a growing number of path validations in networks
   with a high number of equal cost paths between origin and
   destination.  Segment Routing (SR) introduces MPLS topology awareness
   combined with Source Routing.  By this combination, SR can be used to
   implement an MPLS traceroute option lowering the total number of LSP
   validations as compared to commodity MPLS traceroute.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat